Package org.apache.qpid.proton

# Class ProtonUnsupportedOperationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.UnsupportedOperationException
org.apache.qpid.proton.ProtonUnsupportedOperationException

All Implemented Interfaces:
  `Serializable`

public class ProtonUnsupportedOperationException extends UnsupportedOperationException
Use to indicate that a feature of the Proton API is not supported by a particular implementation (e.g. proton-j or proton-c-via-JNI).

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final boolean`
`skipped`
Used by the Python test layer to detect an unsupported operation

## Constructor Summary

Constructors
Constructor
Description
`ProtonUnsupportedOperationException()`
`ProtonUnsupportedOperationException(String message)`
`ProtonUnsupportedOperationException(String message, Throwable cause)`
`ProtonUnsupportedOperationException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### skipped

public static final boolean skipped
Used by the Python test layer to detect an unsupported operation

See Also:
  - Constant Field Values

## Constructor Details

### ProtonUnsupportedOperationException

public ProtonUnsupportedOperationException()

### ProtonUnsupportedOperationException

public ProtonUnsupportedOperationException(String message)

### ProtonUnsupportedOperationException

public ProtonUnsupportedOperationException(String message, Throwable cause)

### ProtonUnsupportedOperationException

public ProtonUnsupportedOperationException(Throwable cause)